Core - Bug # 55646

Epic # 47018 (Resolved): Implement Composer support and clean package manager API

Status: Needs Feedback Priority: Should have
Author: Tymoteusz Motylewski Category: Package Manager
Created: 2014-02-04 Assigned To:

Updated: 2015-07-17 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus: On Location Sprint

Subject: Framework Packages aren't sorted properly if package is overriten in typo3conf/ext
Description

issue #55623

was resolved in patchset https://review.typo3.0org/27300
unfortunatelly it doesn't take care of correct sorting when system extension is installed in different directory than typo3/sysext (e.g.
when extension is installed in typo3conf/ext)

Related issues:

related to Core - Bug # 55623: Framework Packages aren't sorted properly Resolved 2014-02-03
related to Core - Bug # 59147: Wrong extension precedence in TYPO3 6.2 Resolved 2014-05-27
History

#1 - 2014-02-12 09:53 - Ernesto Baschny
- Parent task set to #47018

#2 - 2015-01-26 13:50 - Mathias Schreiber
- Target version set to 7.3 (Packages)

#3 - 2015-06-15 17:44 - Benjamin Mack
- Target version changed from 7.3 (Packages) to 7.4 (Backend)

#4 - 2015-06-15 17:51 - Markus Klein

Is this still an issue?

#5 - 2015-07-16 10:58 - Nicole Cordes
- Status changed from New to Needs Feedback

Should be solved with #59147

#6 - 2015-07-17 21:08 - Benjamin Mack
- Category set to Package Manager
- Sprint Focus set to On Location Sprint
